[arch-commits] Commit in texlive-htmlxml/trunk (PKGBUILD)

François Charette francois at archlinux.org
Thu Jul 23 08:46:07 EDT 2009


    Date: Thursday, July 23, 2009 @ 08:46:07
  Author: francois
Revision: 47160

update to TeXLive 2009 and change to arch=any

Modified:
  texlive-htmlxml/trunk/PKGBUILD

----------+
 PKGBUILD |   30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-07-23 12:46:03 UTC (rev 47159)
+++ PKGBUILD	2009-07-23 12:46:07 UTC (rev 47160)
@@ -1,30 +1,40 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-htmlxml
-pkgver=2008.12803
+pkgver=2009.14086
 pkgrel=1
 pkgdesc="TeX Live - Packages to convert LaTeX to XML/HTML, and typeset XML/SGML"
 license=('GPL')
-arch=('i686' 'x86_64')
+arch=(any)
 depends=('texlive-core')
-makedepends=('lzma-utils')
 groups=('texlive-most')
 url='http://tug.org/texlive/'
 source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
+options=('!emptydirs')
 install=texlive.install
-md5sums=('219a485903e7ed18acb7d1a7b0ebc8df')
+md5sums=('3f507edcf5c20c21b847d40680120383')
 
 build() {
    cd $srcdir
    install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
    sed -i '/^#/d' CONTENTS || return 1
-   _revnr=`echo $pkgver | sed 's/2008\.//'`
+   _revnr=`echo $pkgver | sed 's/2009\.//'`
    install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
-   for p in *.tar.lzma; do 
-	   lzma --force -dc $p | tar xf - || return 1
+   for p in *.tar.xz; do 
+	   bsdtar -xf $p || return 1
    done
+   rm -rf {tlpkg,doc,source}
    install -m755 -d $pkgdir/usr/share || return 1
-   find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \; || exit 1
-   find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || exit 1
-   find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \; || return 1
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done)
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \; || return 1
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \; || return 1
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || return 1
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
 }



More information about the arch-commits mailing list